
#include <stdio.h>
#include <math.h>
#include "sort.h"

int main () {
  FILE         *fp;

  int M[10] = {0,-1,-4,23,56,63,39,12,-9,-10};

  
  // sorting function
  sort(M);
	
	// Check the results of sort() against the 
	// golden output.
  fp=fopen("out.dat","w");
  for (int i=0; i< 10; i++) {
	// Save the results.
    fprintf(fp,"%d\n", M[i]);
  }
  fclose(fp);
  
  printf ("Comparing against output data \n");
  if (system("diff -w out.dat out.gold")) {

	fprintf(stdout, "*******************************************\n");
	fprintf(stdout, "FAIL: Output DOES NOT match the golden output\n");
	fprintf(stdout, "*******************************************\n");
     return 1;
  } else {
	fprintf(stdout, "*******************************************\n");
	fprintf(stdout, "PASS: The output matches the golden output!\n");
	fprintf(stdout, "*******************************************\n");
     return 0;
  }
}
